dots.v2.partner_network_connect.attachments.byPa_id().service_key.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.partner_network_connect.attachments.byPa_id(pa_id).service_key.post(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Service_keyPostResponse>Description
This operation generates a new service key for the specified partner attachment. The operation is asynchronous, and the response is an empty JSON object returned with a 202 status code. To poll for the new service key, send a GET request to /v2/partner_network_connect/attachments/{pa_id}/service_key.
Parameters
pa_idstring requiredExample:
4de7ac8b-495b-4884-9a69-1050c6793cd6A unique identifier for a partner attachment.
Request Sample
Response Example
More Information
See /v2/partner_network_connect/attachments/{pa_id}/service_key in the API reference for additional detail on responses, headers, parameters, and more.